Bug 65715 - Unable to delete Gateway entry
Unable to delete Gateway entry
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 14:13 EDT by Robert Stagner
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-26 08:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Stagner 2002-05-30 14:13:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i586)

Description of problem:
I cannot seem to delete the value associated with "Default Gateway Address"
(located at Devices->Edit->Protocols->Edit->TCP/IP). I delete the value, then
save my changes. However, when I re-open the application and return to
Devices->Edit->Protocols->Edit->TCP/IP, the value still exists. It seems like
the only way to remove this value is to manually edit the /etc/sysconfig/network
file and delete the IP Address associated with the GATEWAY key.

NOTE: this seems to occur when their is a value associted with the GATEWAY key
in the /etc/sysconfig/network file. it does not seem to be an issue if the
GATEWAY key has no value associated with it (i.e., empty), and one tries to
add-save, and then delete-save the Default Gateway Address.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open the application
2. select the Devices Tab
3. select the eth0 device
4. click the Edit button
5. select the Protocols Tab
6. select the TCP/IP Protocol Type
7. click the Edit button
8. delete the value located in the Default Gateway Address field
9. save changes.
10. repeat step 1-9 and see if changes still exist.
	

Actual Results:  the Default Gateway Address still existed	

Expected Results:  the Default Gateway Address should have been removed.

Additional info:
Comment 1 Phil Knirsch 2002-06-26 09:09:06 EDT
Fixed in redhat-config-network-1.0.0-1 which was shipped in Red Hat Linux 7.3

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.